<?php 

error_reporting(0);
ini_set(“display_errors”, 0 );
include "protege_professor.php";
$idusuario = $_SESSION['id_usuario'];

// echo "<pre>";
// print_r($_POST);
// echo "<pre>"; die();

date_default_timezone_set('America/Sao_Paulo');

$idfolha_cheque  		= $_POST["idfolha_cheque"];
$idcheque  		 		= $_POST["idcheque"];
$descricao_cancelar  	= $_POST["descricao_cancelar"];
$alterado_por       	= $_POST["iduser"];
$data_alterado          = date('d-m-Y H:i:s');




include "conexao.php";


  $cancelar_folha="UPDATE folha_cheque SET situacao_folha='2', descricao_cancelar ='$descricao_cancelar', alterado_por = '$alterado_por', data_alterado = '$data_alterado' WHERE idfolha_cheque =$idfolha_cheque";
  $cancelar = mysqli_query($db,$cancelar_folha);


  //#########################################  Funcoes Grava Log   #############################################

function nome_user1($id){
            include "conexao.php";
                 $query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";

                 $executa_igpm = mysqli_query ($db, $query_igpm);


                   while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos

                          $nome_cli        = $buscar_amigoc['nome_cli'];
                   }
                   return $nome_cli;

         } 


        function grava_log($data_log,$usuario_id,$descricao_log){
           include "conexao.php";
          
                $query_log = "insert into log (data_log,usuario_id,descricao_log) values('$data_log','$usuario_id','$descricao_log')";
                $executa_log = mysqli_query($db, $query_log);
                return 1;
        }

                    date_default_timezone_set('America/Sao_Paulo');              
                    $data_log = date('d-m-Y H:i:s');         // data e hr no momento
                    $nome_usuario = nome_user1($alterado_por); //nome usuario sessao
                    $descricao_log = "Usuário ".$nome_usuario ." cancelou um  talão de Cheque ";
                    grava_log($data_log,$alterado_por,$descricao_log);
                    //echo "cheguei aqui...;".$descricao_log; die();



//######################################### " FIM " Funcoes Grava Log   ######################################



?>
<script>
window.location ="ver_folhas.php?idcheque=<?php echo $idcheque ?>&idusuario=<?php echo $idusuario ?>";
</script>